com.google.gwt.dom.builder.shared

## Class HtmlSelectBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<SelectBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlSelectBuilder

- All Implemented Interfaces:
    ElementBuilderBase<SelectBuilder>, SelectBuilder

      public class HtmlSelectBuilder
      extends HtmlElementBuilderBase<SelectBuilder>
      implements SelectBuilder

  HTML-based implementation of `SelectBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlSelectBuilder(HtmlBuilderImpl delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SelectBuilder` | `disabled()` Disable the select box.
    `SelectBuilder` | `multiple()` Allow multiple options to be selected.
    `SelectBuilder` | `name(java.lang.String name)` Form control or object name when submitted with a form.
    `SelectBuilder` | `selectedIndex(int index)` The ordinal index of the selected option, starting from 0.
    `SelectBuilder` | `size(int size)` Number of visible rows.
    `SelectBuilder` | `type(java.lang.String type)` The type of this form control.
    `SelectBuilder` | `value(java.lang.String value)` The current form control value (i.e., the value of the currently selected option), if multiple options are selected this is the value of the first selected option.

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

      `asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Constructor Detail

    - #### HtmlSelectBuilder

          HtmlSelectBuilder(HtmlBuilderImpl delegate)

  - ### Method Detail

    - #### disabled

          public SelectBuilder disabled()

      Description copied from interface: `SelectBuilder`
      Disable the select box.
      Specified by:
        `disabled` in interface `SelectBuilder`
      See Also:
        W3C HTML Specification

    - #### multiple

          public SelectBuilder multiple()

      Description copied from interface: `SelectBuilder`
      Allow multiple options to be selected.
      Specified by:
        `multiple` in interface `SelectBuilder`
      See Also:
        W3C HTML Specification

    - #### name

          public SelectBuilder name(java.lang.String name)

      Description copied from interface: `SelectBuilder`
      Form control or object name when submitted with a form.
      Specified by:
        `name` in interface `SelectBuilder`
      See Also:
        W3C HTML Specification

    - #### selectedIndex

          public SelectBuilder selectedIndex(int index)

      Description copied from interface: `SelectBuilder`
      The ordinal index of the selected option, starting from 0. The value -1 is returned if no element is selected. If multiple options are selected, the index of the first selected option is returned.
      Specified by:
        `selectedIndex` in interface `SelectBuilder`

    - #### size

          public SelectBuilder size(int size)

      Description copied from interface: `SelectBuilder`
      Number of visible rows.
      Specified by:
        `size` in interface `SelectBuilder`
      See Also:
        W3C HTML Specification

    - #### type

          public SelectBuilder type(java.lang.String type)

      Description copied from interface: `SelectBuilder`
      The type of this form control. This is the string "select-multiple" when the multiple attribute is true and the string "select-one" when false.
      Specified by:
        `type` in interface `SelectBuilder`

    - #### value

          public SelectBuilder value(java.lang.String value)

      Description copied from interface: `SelectBuilder`
      The current form control value (i.e., the value of the currently selected option), if multiple options are selected this is the value of the first selected option.
      Specified by:
        `value` in interface `SelectBuilder`